# Update Running balances for Journal Entries

`POST /lokta-lms/api/v1/journalentries/{transactionId}`

This API calculates the running balances for office. If office ID not provided this API calculates running balances for all offices. 
Mandatory Fields
officeId

## Parameters
- `transactionId` (path, string, required): transactionId
- `command` (query, string): command

## Request body (application/json)
- `officeId` (integer): 1

## Responses
- `200`: OK

## Response fields
- `officeId` (integer): 1

## Example request (cURL)
```bash
curl -X POST \
  'https://default.lokta.tech/lokta-lms/api/v1/journalentries/{transactionId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default' \
  -H 'Content-Type: application/json' \
  -d '{
  "officeId": 1
}'
```

## Example response
```json
{
  "officeId": 1
}
```

Interactive: https://developer.lokta.ai/reference#operation/createReversalJournalEntry
